# TSSundialsSetLinearTolerance

Sets the tolerance used to solve the linear system by SUNDIALS.

### Synopsis

    #include "petscts.h"
    PetscErrorCode PETSCTS_DLLEXPORT TSSundialsSetLinearTolerance(TS ts,double tol)

Collective on TS

### Input parameters

| ts | - the time-step context
| tol | - the factor by which the tolerance on the nonlinear solver is multiplied to get the tolerance on the linear solver, .05 by default.

### Keywords

GMRES, linear convergence tolerance, SUNDIALS

### See Also

TSSundialsGetIterations(), TSSundialsSetType(), TSSundialsSetGMRESRestart(),
TSSundialsSetGramSchmidtType(), TSSundialsSetTolerance(), TSSundialsGetIterations(), TSSundialsSetType(), TSSundialsSetGMRESRestart(), TSSundialsSetLinearTolerance(), TSSundialsSetTolerance(), TSSundialsGetPC(), TSSundialsSetExactFinalTime()

Level:advanced
Location: src/ts/impls/implicit/sundials/sundials.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages